CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

EnableBreak Property (ActiveX)

2023-1-3 17:35| 发布者: admin| 查看: 523| 评论: 0|来自: AutoCAD

摘要: 切换表格中断。

切换表格中断。

支持的平台:仅窗口

签名

工 务 局:

object.EnableBreak
对象

类型:桌子

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:已启用换行符。
  • False:禁用换表符。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_BreakHeight()
    ' This example creates a table object and then breaks it into
    ' two tables.
    
    ' Create a new table object in model space
    Dim pt(2) As Double
    
    Dim modelSpace As AcadModelSpace
    Set modelSpace = ThisDrawing.modelSpace
    
    Dim table As AcadTable
    Set table = modelSpace.AddTable(pt, 5, 5, 10, 30)
    
    table.EnableBreak = True
    table.BreakSpacing = 3.5
    table.TableBreakHeight = 35#
    table.AllowManualHeights = True
    table.SetBreakHeight 0, 20#
    table.SetBreakHeight 1, 35#
    
    ZoomExtents
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_BreakHeight()
    ;; This example creates a table object and then breaks it into
    ;; two tables.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ;; Create a new table object in model space
    (setq pt (vlax-3d-point 0 0 0))
  
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq table (vla-Addtable modelSpace pt 5 5 10 30))

    (vla-put-EnableBreak table :vlax-true)
    (vla-put-BreakSpacing table 3.5)
    (vla-put-TableBreakHeight table 35.0)
    (vla-put-AllowManualHeights table :vlax-true)
    (vla-SetBreakHeight table 0 20.0)
    (vla-SetBreakHeight table 1 35.0)

    (vla-ZoomExtents acadObj)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 23:58

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部